MHDR(1)

NAME
mHdr - Connect to the IRSA service to create a header template

SYNOPSIS
mHdr [-s system] [-e equinox] [-h height] [-p pixsize] [-r rotation] [-t 2mass-band] object|location width outfile

DESCRIPTION
Connects to the IRSA service HdrTemplate to create a header template based on a location, size, resolution and rotation.

OPTIONS

-s system
    Specify a coordinate system. Can be one of: "equatorial" or "eq" (default) "ecliptic" or "ec" "galactic" or "ga" "supergalactic" or "sgal"

-e equinox
    Specify an equinox. Default is 2000.0

-h height
    Height (y-axis) of area in degrees. Default is equal to width

-p pixsize
    Size of a pixel (in arcsec); default is 1

-r rotation
    Rotation of image; default is 0

-t 2mass-band
    If the data is 2MASS, the correct MAGZP will be added to the header.

ARGUMENTS

object|location
    Object string or coordinate location; should be in quotes if there are any spaces or special characters.

width
    Width (x-axis) of area

outfile
    Path to output header template

RESULT
[struct stat="OK", count=header-lines]

MESSAGES

OK  [struct stat="OK", count=header-lines]

ERROR
    Can't open output file outfile

ERROR
    location parameter required

ERROR
    width parameter required

ERROR
    Invalid object/coordinates

ERROR
    Couldn't find host irsa.ipac.caltech.edu

ERROR
    Couldn't create socket

ERROR
    irsa.ipac.caltech.edu: connect failed

EXAMPLES

If a user wants to create a mosaic centered on m31, 1 degree on each side, the first step is to create a header template that describes the desired mosaic:

mHdr "10.68469 +41.26904" 1 m31.hdr
    [struct stat="OK", count=16]

Now m31.hdr can be used by other Montage modules to generate a mosaic.

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.